// =====================================================================
//  $Id: DaqRunAction.hh,v 1.1 2006/02/15 07:04:51 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: DaqRunAction.hh,v $
//  Revision 1.1  2006/02/15 07:04:51  goiwai
//  ドキュメント用に最も簡単な例題ソフトウェアDAQプログラムを作りました。
//
// =====================================================================
#ifndef CLDAQ__DAQRUNACTION_HH
#define CLDAQ__DAQRUNACTION_HH

#include "TRunAction.hh"

class TRun;
class TOutputObjectFile;

class DaqRunAction
  : public TRunAction
{

  private:
    TOutputObjectFile* ofile;

  public:
    TOutputObjectFile* GetOutputFile() const;

  public:
    DaqRunAction();
    ~DaqRunAction();

  public:
    Tvoid Start( TRun& aRun );
    Tvoid Stop( TRun& aRun );
    Tvoid Suspend( TRun& aRun );
    Tvoid Resume( TRun& aRun );

};

inline TOutputObjectFile* DaqRunAction::GetOutputFile() const
{
  return ofile;
}

#endif
